# Hive Developer Portal

Methods:

- get_block
- get_block_header

Used to query values related to the block plugin. These AppBase API methods are still under development and subject to change.

- Related

#### block_api.get_block

Retrieve a full, signed block of the referenced block, or null if no matching block was found.

Parameters:

- `block_num:int`

`block_num` (int) |
--- | ---
`1` | Queries the very first block.
`8675309` | Queries block number 8,675,309.
`62396745` | Queries block number 62,396,745.

##### Query Parameters JSON

    {"block_num": 0}

##### Expected Response JSON

    {
      "block": {
        "previous": "0000000000000000000000000000000000000000",
        "timestamp": "2016-03-24T16:05:00",
        "witness": "",
        "transaction_merkle_root": "0000000000000000000000000000000000000000",
        "extensions": [],
        "witness_signature": "",
        "transactions": [],
        "block_id": "",
        "signing_key": "",
        "transaction_ids": []
      }
    }

##### Example `curl`

    curl -s --data '{"jsonrpc":"2.0", "method":"block_api.get_block", "params":{"block_num":1}, "id":1}' https://api.openhive.network

    curl -s --data '{"jsonrpc":"2.0", "method":"block_api.get_block", "params":{"block_num":8675309}, "id":1}' https://api.openhive.network

    curl -s --data '{"jsonrpc":"2.0", "method":"block_api.get_block", "params":{"block_num":62396745}, "id":1}' https://api.openhive.network

- Related

#### block_api.get_block_header

Retrieve a block header of the referenced block, or null if no matching block was found.

Parameters:

- `block_num:int` - Height of the block whose header should be returned

`block_num` (int) |
--- | ---
`1` | Queries the block headers for the very first block.
`8675309` | Queries block headers for block number 8,675,309.
`62396745` | Queries block headers for block number 62,396,745.

##### Query Parameters JSON

    {"block_num": 0}

##### Expected Response JSON

    {
      "header": {
        "previous": "0000000000000000000000000000000000000000",
        "timestamp": "2016-03-24T16:05:00",
        "witness": "",
        "transaction_merkle_root": "0000000000000000000000000000000000000000",
        "extensions": []
      }
    }

##### Example `curl`

    curl -s --data '{"jsonrpc":"2.0", "method":"block_api.get_block_header", "params":{"block_num":1}, "id":1}' https://api.openhive.network

    curl -s --data '{"jsonrpc":"2.0", "method":"block_api.get_block_header", "params":{"block_num":8675309}, "id":1}' https://api.openhive.network

    curl -s --data '{"jsonrpc":"2.0", "method":"block_api.get_block_header", "params":{"block_num":62396745}, "id":1}' https://api.openhive.network